tigase.server.xmppsession

## Class UserSessionEventWithProcessorResultWriter

- java.lang.Object
- - tigase.server.xmppsession.UserSessionEvent
  - - tigase.server.xmppsession.UserSessionEventWithProcessorResultWriter

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    RosterAbstract.RosterModifiedEvent

      public class UserSessionEventWithProcessorResultWriter
      extends UserSessionEvent

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionEventWithProcessorResultWriter()`
    `UserSessionEventWithProcessorResultWriter(JID sender, JID userJid, XMPPSession session, SessionManager.ProcessorResultWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SessionManager.ProcessorResultWriter` | `getPacketWriter()`
    `void` | `setPacketWriter(SessionManager.ProcessorResultWriter packetConsumer)`

    - ### Methods inherited from class tigase.server.xmppsession.UserSessionEvent

      `getSender, getSession, getUserJid, setSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSessionEventWithProcessorResultWriter

          public UserSessionEventWithProcessorResultWriter()

    - #### UserSessionEventWithProcessorResultWriter

          public UserSessionEventWithProcessorResultWriter(JID sender,
                                                           JID userJid,
                                                           XMPPSession session,
                                                           SessionManager.ProcessorResultWriter writer)

  - ### Method Detail

    - #### getPacketWriter

          public SessionManager.ProcessorResultWriter getPacketWriter()

    - #### setPacketWriter

          public void setPacketWriter(SessionManager.ProcessorResultWriter packetConsumer)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.